<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$text_id = "";
$insert_flag = "";
$q_id = "";
$key_word_txt="";
$key_word_comment="";
$key_word_score = "";
$err_msg = "";
$up_button_txt="";
$score = "";
$counting = 0;

if ($_GET <> null) {
	if (isset($_GET['text_id'])) {
		$text_id = $_GET['text_id'];
	}
	if (isset($_GET['question_id'])) {
		$q_id = $_GET['question_id'];
	}
	if (!is_numeric($text_id) || !is_numeric($q_id)) {
//		redirect_header(URL_SET."teacher/txt_make/list.php");
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/txt_make/list.php");
		exit;
	}
}
if ($_POST <> null) {
	$insert_flag = $_POST['insert_flag'];
}

$data_object = new CDbAccess();
		//DB³
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//ɥǡΥ֥Ȥ
	$k_data_object = new CKeyWordTableAccess();
	
	if ($text_id == null || $text_id == "") {
	//ƥID򽦤äƤ餺Υեफǡ
		if ($insert_flag <> null && $insert_flag <> "") {
			$q_id = $_POST['question_id'];
			$text_id = $_POST['text_id'];
			//$txt_title = $_POST['text_title'];
			//$quest_cont = $_POST['que_cont'];
			$val_object =new valid_plus_num('key_word_make');
			$val_object->setErrMsgNum($_POST);
			if ($val_object->err_msg == "") {
				if (!$k_data_object->insertKeyWordExe($data_object->conn, $_POST)) {
					$err_msg = "<font color='red'>ǡ˼Ԥޤ<br>";
					$err_msg .= $k_data_object->err_msg."</font>";
				} else {
//					redirect_header(URL_SET."teacher/item_make/key_word_list.php?question_id=".$q_id."&text_id=".$text_id,0,"ɥǡϿޤ");
					header("Content-Type: text/html; charset=EUC-JP");
					header(URL_SET."teacher/item_make/key_word_list.php?question_id=".$q_id."&text_id=".$text_id);
					exit;
				}
			} else {
				$err_msg = $val_object->err_msg;
			}
			$key_word_txt= mb_convert_encoding($_POST['key_word_txt'],'EUC-JP','UTF-8');
			$key_word_comment= mb_convert_encoding($_POST['comment'],'EUC-JP','UTF-8');
			$key_word_score = $_POST['score'];
		}
	
	}
	//ƥȥǡΥ֥Ȥ
	$text_object = new CTextTableAccess();
	$txt_data = $text_object->getDetailTextData($data_object->conn, $text_id);
	if ($txt_data == false) {
		$text_title = "ƥȸ˼Ԥޤ";
	} else {
		$text_title = htmlspecialchars(mb_convert_encoding($txt_data['text_title'],'EUC-JP','UTF-8'),ENT_QUOTES);
	}
	
	//ǡΥ֥Ȥ
	$q_data_object = new CQuestionTableAccess();
	$q_data = $q_data_object->getQuestionDetail($data_object->conn, $q_id);
	if ($q_data == false) {
		$que_cont = "ǡθ˼Ԥޤ";
	} else {
		$que_cont = nl2br(htmlspecialchars(mb_convert_encoding($q_data['content'],'EUC-JP','UTF-8'),ENT_QUOTES));
	}
	$data_object->closeDB();
}

//$que_cont = $quest_cont;
//ơ֥κ
$up_tbl_txt = "<tr><td></td><td><input type='text' name='key_word_txt' value='".$key_word_txt."'></td>";
$up_tbl_txt .= "<td><input type='text' name='comment' value='".$key_word_comment."'></td>";
$up_tbl_txt .= "<td><input type='text' name='score' value='".$score."' size=1 maxlength=3></td>";
$up_tbl_txt .= "</tr>\n";
//ܥ
$up_button_txt .= "<input type='submit' value=''><input type='hidden' name='insert_flag' value=1>";

$show_data = file_get_contents('../../templates/ad_item_make/key_word_list.tpl');
	$show_data = ereg_replace(':TEXT_ID_REP:', $text_id, $show_data);
	$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
	$show_data = ereg_replace(':TITLE_REP:', mb_convert_encoding($text_title,'UTF-8', 'EUC-JP'), $show_data);
	$show_data = ereg_replace(':Q_TEXT_REP:', mb_convert_encoding($que_cont,'UTF-8', 'EUC-JP'), $show_data);
	$show_data = ereg_replace(':UP_TABLE_REP:', mb_convert_encoding($up_tbl_txt,'UTF-8', 'EUC-JP'), $show_data);
	$show_data = ereg_replace(':Q_ID_REP:', $q_id, $show_data);
	$show_data = ereg_replace(':UP_BUTTON_REP:', mb_convert_encoding($up_button_txt,'UTF-8', 'EUC-JP'), $show_data);
	$show_data = ereg_replace(':TITLE_TXT:', mb_convert_encoding('ɺ','UTF-8', 'EUC-JP'), $show_data);
	$show_data = ereg_replace(':FILE_NAM:', 'insert_key_word.php', $show_data);
	$show_data = ereg_replace(':DATA_CNT:', $counting, $show_data);
	$show_data = ereg_replace(':AV_CONF:', "", $show_data);
	$show_data = ereg_replace(':AV_SET:', "", $show_data);
echo $show_data;
?>