<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
$text_id = "";
$q_id = "";
$err_msg = "";
$up_button_txt="";
$total_score = 0;
$del_flag = "";
$answer_type = "";
$is_av = "";
//źեեϢ
$av_set="";

$av_conf="";
$url_av = LOCAL_URL."av_files/";
$write_av = DOC_ROOT."av_files/";

if ($_GET <> null) {
	unset($_FILES);
	if (isset($_GET['text_id'])) {
		$text_id = $_GET['text_id'];
	}
	if (isset($_GET['question_id'])) {
		$q_id = $_GET['question_id'];
	}
	if (isset($_GET['answer_type'])) {
		$answer_type = $_GET['answer_type'];
	}
	if (!is_numeric($text_id) || !is_numeric($q_id)) {
//		redirect_header(URL_SET."teacher/txt_make/list.php");
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/txt_make/list.php");
		exit;
	}
}
if ($_POST <> null) {
	$acttion_type = $_POST['action_type'];
}

$data_object = new CDbAccess();
		//DB³
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//ɥǡΥ֥Ȥ
	$k_data_object = new CKeyWordTableAccess();
	
	//ǡΥ֥Ȥ
	$q_data_object = new CQuestionTableAccess();
	
	if ($text_id == null || $text_id == "") {
		if ($acttion_type == "del") {
			$text_id = $_POST['text_id'];
			$q_id = $_POST['question_id'];
			$validate = new valid_list_up('DEL', $_POST['data_cnt']);
			if ($validate->getErrMsg($_POST) == "") {
				//κ
				$del_condition = "";
				for ($i = 0; $i < $_POST['data_cnt']; $i++) {
					//if ($_POST["DEL".$i] <> null && $_POST["DEL".$i] <> "") {
					if (array_key_exists("DEL".$i, $_POST) == true) {
						$del_condition .= "key_word_id = '".$k_data_object->escapeSqlString($_POST["DEL".$i])."'";
						$del_condition .= " OR ";
					}
				}
				//Ρ OR פȤ

				$del_condition = substr($del_condition, 0, -4);

				if(!$k_data_object->delDat($del_condition, $data_object->conn)) {
					$err_msg = "ɤκ˼Ԥޤ<br>";
					
				}
			} else {
				$err_msg = $validate->getErrMsg($_POST);
			}
		} else if ($acttion_type == "av_set") {
			$text_id = $_POST['text_id'];
			$q_id = $_POST['question_id'];
			//SQL
			$tmp_qav = "";
			$tmp_qrep = 1;
			//ǥ쥯ȥ
			$write_av .= $text_id;
			if (!is_dir($write_av)) {
				mkdir($write_av,0777);
			}
			$write_av .= "/".$q_id;
			if ($_POST['question_repeat'] <> "" && !is_numeric($_POST['question_repeat'])) {
				$err_msg = "<font color='red'>ȾѿͤϤƤ</font>";
			} else {
				if ($_POST['question_repeat'] <> "") {
					$tmp_qrep = $_POST['question_repeat'];
				}
				//av񤭹
//				if ( $_FILES['question_av_file']['name'] <> "") {
				if (array_key_exists('question_av_file',$_FILES) == true) {
					if (!ereg("\.asf|\.wma|\.wmv|\.asx|\.wax|\.wvx|\.cda|\.mid|\.midi|\.wav|\.snd|\.au|\.aif|\.aifc|\.aiff|\.avi|\.mpg|\.mpeg|\.mp3$",$_FILES['question_av_file']['name'])) {
//					if (!ereg("\.mid|\.midi|\.wav|\.au$",$_FILES['question_av_file']['name'])) {

						$err_msg = "ݡȤƤʤAVեǤ<br>";
					} else{
						if (!is_dir($write_av)) {
							mkdir($write_av,0777);
						}
						if (!move_uploaded_file($_FILES['question_av_file']['tmp_name'], $write_av."/".basename($_FILES['question_av_file']['name']))) {
							$err_msg ="<font color='red'>᡼ե񤭹߼</font>";
						} else {
							$tmp_qav = basename($_FILES['question_av_file']['name']);
						}
					}
				} else {
					if ($_POST['av_del'] == "" || $_POST['av_del'] == null) {
						$tmp_qav = $_POST['question_av_file'];
					}
				}
			}
			if ($err_msg == "") {
				if (!$q_data_object->updateQuestionAvExe($data_object->conn, $q_id, $tmp_qav, $tmp_qrep, $ses_arr['teacher_id'])) {
					$err_msg .="<font color='red'>AV꼺</font>";
					$err_msg .=$q_data_object->err_msg;
				} else {
					unset($_FILES);
//					redirect_header(URL_SET."teacher/question_make/question_list.php?text_id=".$text_id,"ǡϿޤ");
					header("Content-Type: text/html; charset=EUC-JP");
					header(URL_SET."teacher/question_make/question_list.php?text_id=".$text_id);
					exit;
				}
			}
		}
	}

	//ƥȥǡΥ֥Ȥ
	$text_object = new CTextTableAccess();
	
	$txt_data = $text_object->getDetailTextData($data_object->conn, $text_id);
	if ($txt_data == false) {
		$text_title = "ƥȸ˼Ԥޤ";
	} else {
		$text_title = htmlspecialchars(mb_convert_encoding($txt_data['text_title'],'EUC-JP','UTF-8'),ENT_QUOTES);
		if ($txt_data['av_file'] == "" || $txt_data['av_file'] == null) {
			$av_conf ="";
		} else {
			$av_conf = "<a href='../question_make/view_tmp.php?text_id=".$text_id."&repeat=".$txt_data['av_repeat']."&av_file=".$txt_data['av_file']."' target='_blank'>ʸAVե</a>";
		}

	}
	
	$q_data = $q_data_object->getQuestionDetail($data_object->conn, $q_id);
	if ($q_data == false) {
		$que_cont = "ǡθ˼Ԥޤ";
	} else {
		$que_cont = nl2br(htmlspecialchars(mb_convert_encoding($q_data['content'],'EUC-JP','UTF-8'),ENT_QUOTES));
	//ҥ
		if ($answer_type <> 4) {
			$av_set .="<b>AVե򥢥åץɤϡꤷƤ</b>";
			$av_set .="<br>";
			$av_set .="<form method='POST' action='key_word_list.php' enctype='multipart/form-data'>";
	
			if ($q_data['question_av_file'] == "" || $q_data['question_av_file'] == null) {
				$av_set .="<input type='hidden' name='MAX_FILE_SIZE' value='30000000' />";
				$av_set .="<input type = 'file' name='question_av_file' size=42 /><br>";
			} else {
				$av_set .= "<input type='checkbox' name='av_del' value='1'> ";
				$av_set .= "<a href='../question_make/view_tmp.php?text_id=".$text_id."&question_id=".$q_id."&repeat=".$q_data['question_repeat']."&av_file=".$q_data['question_av_file']."' target='_blank'>AVե</a>ѤߤǤ";
				$av_set .= "(Ѥʤ硢åƤ)";
				$av_set .= "<input type='hidden' name ='question_av_file' value='".$q_data['question_av_file']."'><br>";
			}
			$av_set .="<b>֤</b> <input type='text' name='question_repeat' value='".$q_data['question_repeat']."' size=1 maxlength=1>";
			$av_set .="<input type='hidden' name='question_id' value=".$q_id.">";
			$av_set .="<input type='hidden' name='text_id' value=".$text_id.">";
			$av_set .="<br>";
			$av_set .="<input type='hidden' name='action_type' value='av_set'>";
			$av_set .="<input type='submit' value='AV'>";
			$av_set .="</form>";
		}
	}


	$data_list = $k_data_object->getKeyWordPerQuestion($data_object->conn, $q_id);
	$counting = 0;
	$up_tbl_txt = "";
	if (!$data_list) {
		$up_tbl_txt ="<td colspan=4>ǡ򸡺Ǥޤ</td>";
	} else {
		if (count($data_list) == 0) {
			$up_tbl_txt = "<td colspan=4>ǡϿƤޤ</td>";
		} else {
			foreach($data_list as $data_arr) {
				$up_tbl_txt .= "<tr><td><input type='checkbox' name = 'DEL".$counting."' VALUE = '".$data_arr['key_word_id']."'></td>";
				$up_tbl_txt .= "<td>".htmlspecialchars(mb_convert_encoding($data_arr['key_word_txt'],'EUC-JP','UTF-8'),ENT_QUOTES)."</td>";
				$up_tbl_txt .= "<td>".htmlspecialchars(mb_convert_encoding($data_arr['comment'],'EUC-JP','UTF-8'),ENT_QUOTES)."</td>";
				$up_tbl_txt .= "<td>".$data_arr['score_weight']."</td></tr>\n";
				$counting++;
				$total_score = $total_score + $data_arr['score_weight'];
			}
			$up_button_txt = "<font size='1pt'>*åäΤޤ</font><br>";
			$up_button_txt .= "<input type='submit' value=''><input type='hidden' name='action_type' value='del'>";
		}
		$up_button_txt .= "	<a href='mod_key_word.php?question_id=".$q_id;
		$up_button_txt .= "&text_id=".$text_id."'>Ť䥳Ȥ</a> ";
	}
	if ($counting < 100) {
		$up_button_txt .= " <a href = 'insert_key_word.php?question_id=".$q_id;
		$up_button_txt .= "&text_id=".$text_id."'>ɤ򿷵</a>";
	}
	if ($total_score <> 100) {
		$err_msg .= "<br>ߤŤιפ".$total_score."%Ǥפ100ˤʤ褦ꤹ뤳Ȥ򡢤ᤷޤ<br>";
	}
	$data_object->closeDB();
}

$show_data = file_get_contents('../../templates/ad_item_make/key_word_list.tpl');
$show_data = ereg_replace(':TEXT_ID_REP:', $text_id, $show_data);
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TITLE_REP:', mb_convert_encoding($text_title,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':Q_TEXT_REP:', mb_convert_encoding($que_cont,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':AV_CONF:', mb_convert_encoding($av_conf,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':AV_SET:', mb_convert_encoding($av_set,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':UP_TABLE_REP:', mb_convert_encoding($up_tbl_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':Q_ID_REP:', $q_id, $show_data);
$show_data = ereg_replace(':UP_BUTTON_REP:', mb_convert_encoding($up_button_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TITLE_TXT:', mb_convert_encoding('ɰ','UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':FILE_NAM:', 'key_word_list.php', $show_data);
$show_data = ereg_replace(':DATA_CNT:', mb_convert_encoding($counting,'UTF-8', 'EUC-JP'), $show_data);
echo $show_data;
?>