<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../util/make_item.php';
require_once '../../data/data_for_group.php';
ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

//ʹ
$class_id = "";
$test_id = "";

$action_type ="";
$department_id ="";
$search_txt ="";
$err_msg = "";

if ($_GET <> null) {
	if(isset($_GET['class_id'])) {$class_id = $_GET['class_id'];}
	if(isset($_GET['test_id'])) {$test_id = $_GET['test_id'];}
	if (!is_numeric($class_id) || !is_numeric($test_id)) {
//		redirect_header(URL_SET."teacher/class_reg/class_list.php");				
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
}
if ($_POST <> null) {
	if (isset($_POST['action_type'])) {
		$action_type = $_POST['action_type'];
	}
	if ($action_type == "search") {
		$department_id = $_POST['department_id'];
		$search_txt = $_POST['search_txt'];
	}
}
$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//ꥪ֥
	$class_test_object = new CSetQuestionInClass();
	if ($class_id == null || $class_id == "") {
	//ƥID򽦤äƤ餺Υեफǡ
		$class_id = $_POST['class_id'];
		$test_id = $_POST['test_id'];
		if ($action_type =="insert") {
			$val_object = new valid_list_up("UP", $_POST['all_cnt']);
			if ($val_object->getErrMsg($_POST) <> "") {
				$err_msg .= $val_object->getErrMsg($_POST);
			} else {
				if (!$data_object->transactionBegin()) {
					$err_msg .= $data_object->err_msg;
				} else {
					if (!$class_test_object->setQuestionsForTest ($data_object->conn, $_POST)) {
						$err_msg = "ƥȥǡ˼Ԥޤ<br>";
						$err_msg .= $class_test_object->err_msg;
						if (!$data_object->transactionRollBack()) {
							$err_msg .= $data_object->err_msg;
						}
					} else {
						if (!$data_object->transactionCommit()) {
							$err_msg .= $data_object->err_msg;
						}
					}
				}
			}
		} else if ($action_type =="del") {
			$val_object = new valid_list_up("DEL", $_POST['all_cnt']);
			if ($val_object->getErrMsg($_POST) <> "") {
				$err_msg .= $val_object->getErrMsg($_POST);
			} else {
				if (!$data_object->transactionBegin()) {
					$err_msg .= $data_object->err_msg;
				} else {
					if (!$class_test_object->removeQuestionForTest ($data_object->conn, $_POST)) {
						$err_msg = "ƥȥǡκ˼Ԥޤ<br>";
						$err_msg = $class_test_object->err_msg;
						if (!$data_object->transactionRollBack()) {
							$err_msg .= $data_object->err_msg;
						}
					} else {
						if (!$data_object->transactionCommit()) {
							$err_msg .= $data_object->err_msg;
						}
					}
				}
			}	
		}
	}

	//饹󸡺
/*
	$class_data_object = new CClassInfoTableAccess();
	$cl_dat_arr = $class_data_object->getOneClass($data_object->conn, $class_id);
	if (!$cl_dat_arr) {
		$class_nam = "饹̾˼";
	} else {
		$class_nam = htmlspecialchars(mb_convert_encoding($cl_dat_arr['class_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
		$teacher_id = $cl_dat_arr['teacher_id'];
	}
	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $cl_dat_arr['teacher_id'] <> $admin_id) {
		$data_object->closeDB();
		redirect_header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
	
	//ǡΥ֥Ȥ
	$teacher_data_object = new CTeacherTableAccess();
	$tea_dat_arr = $teacher_data = $teacher_data_object->getDetailTeacherData($data_object->conn, $cl_dat_arr['teacher_id']);

	if (!$tea_dat_arr) {
		$teacher_nam = "̾˼";
	} else {
		$teacher_nam = htmlspecialchars(mb_convert_encoding($tea_dat_arr['teacher_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
	}
*/
//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}
	//Xoopsѡ饹δþ
	$class_info_object = new CTeacherClassAccess();
	$class_inf=$class_info_object->getClassMember($data_object->conn, $class_id);
	if ($class_inf == false) {
		$err_msg .= $data_object->err_msg;
		$class_nam = "饹̾˼";
		$teacher_nam = "̾˼";
	} else {
	//Ϥ
	//ԤôԤΤߤΥ
		if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
			$data_object->closeDB();
//			redirect_header(URL_SET."teacher/class_reg/class_list.php");
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/class_reg/class_list.php");
			exit;
		}
		$class_nam = htmlspecialchars($class_inf[0]['class_nam'],ENT_QUOTES);
		$teacher_nam = htmlspecialchars($class_inf[0]['teacher_nam'],ENT_QUOTES);	
		$teacher_id = intval($class_inf[0]['teacher_id']);
	}
//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForExam()) {
			$err_msg .= $data_object->err_msg;
		}
	}
	$test_info_object = new CTestInfoTableAccess();
	$tes_data = $test_info_object->getOneTestInfo($data_object->conn, $test_id);
	if ($tes_data == false) {
		$test_nam = "ƥ̾θ˼Ԥޤ";
	} else {
		$test_nam = htmlspecialchars(mb_convert_encoding($tes_data['test_nam'],'EUC-JP','UTF-8'),ENT_QUOTES);	
		$rep_test_nam = urlencode($test_nam);
	}

	//ΥƥȤꥹȲ
	$prev_txt="";
	$now_test_list="";
	$all_test_list="";
	$question_id_list = array();
	

	//Ѥߤ
	$tqt_list_arr = $class_test_object->getTextAndQuestions($data_object->conn,$test_id);
	$cnt_for_up = 0;
	if ($tqt_list_arr == false) {
		$now_test_list="<tr><td colspan=2>ǡʤ</td></tr>";
	} else {
		$prev_txt ="<a href='preview.php?test_id=".$test_id."&class_id=".$class_id."' target=_blank>ץӥ塼</a>";
		$prev_txt .="<a href='mod_ques_order.php?test_id=".$test_id."&class_id=".$class_id."'>֤</a>";

		$pre_txt_id = "";
		$count = 0;
		//$cnt_for_up = 0;
		foreach ($tqt_list_arr as $all_list_tmp) {
			if (($all_list_tmp['text_id'] <> $pre_txt_id) ||($pre_txt_id == "")) {
				$now_test_list .= "<tr><td>";
				$now_test_list .= mb_convert_encoding($all_list_tmp['text_title'],'EUC-JP', 'UTF-8');
				$now_test_list .= "</td><td>";
				$pre_txt_id = $all_list_tmp['text_id'];
				$count = 1;
			}
			$now_test_list .= "<input type ='CHECKBOX' name='DEL".$cnt_for_up++;
			$now_test_list .= "' VALUE = ".$all_list_tmp['tested_id'].">";
			$now_test_list .= $all_list_tmp['question_order']." ".mb_convert_encoding($all_list_tmp['qt_content'],'EUC-JP', 'UTF-8');
			$now_test_list .= " ".$all_list_tmp['score'];
			$now_test_list .= "<br>";
			array_push($question_id_list, $all_list_tmp['question_id']);
			$count++;
		}
		//$now_test_list .= "<input type = 'hidden' name='all_cnt' value=".$cnt_for_up.">";
	}
		$now_test_list .= "<input type = 'hidden' name='all_cnt' value=".$cnt_for_up.">";
	if (count($question_id_list) == 0) {
		//$question_id_list = "ALL";
		$now_test_list="<tr><td colspan=2>ǡʤ</td></tr>";
	}

	//̤äƤå
//	$tmp_list =$class_test_object->getUseableQuestions ($data_object->conn, $question_id_list,true);
	$tmp_list =$class_test_object->getUseableQuestionsWithCond ($data_object->conn, $question_id_list, $search_txt,$department_id);

	if ($tmp_list == false) {
		$all_test_list = "<tr><td colspan=2>ƥȥǡ</td></tr>";
	} else {
		$pre_txt_id = "";
		$count = 0;
		$cnt_for_up = 0;
		foreach ($tmp_list as $all_list_tmp) {
			if (($all_list_tmp['text_id'] <> $pre_txt_id) ||($pre_txt_id == "")) {
				$all_test_list .= "<tr><td>";
				$all_test_list .= "<a href='../item_make/prev_text.php?text_id=".$all_list_tmp['text_id']."' target='_blank'>";
				$all_test_list .= mb_convert_encoding($all_list_tmp['text_title'],'EUC-JP', 'UTF-8');
				$all_test_list .= "</a>";
				$all_test_list .= "</td><td>";
				$pre_txt_id = $all_list_tmp['text_id'];
				$count = 1;
			}
			$all_test_list .= "<input type ='CHECKBOX' name='UP".$cnt_for_up++;
			$all_test_list .= "' VALUE= ".$all_list_tmp['question_id'].">";

			$all_test_list .= $count." ".mb_convert_encoding($all_list_tmp['content'],'EUC-JP', 'UTF-8');
			//ִ⤢ɽ
			if ($all_list_tmp['rep_key']<>null && $all_list_tmp['rep_key']<>"") {
				$all_test_list .= " (ִ".mb_convert_encoding($all_list_tmp['rep_key'],'EUC-JP', 'UTF-8').")";
			}
			$all_test_list .= "<br>";
			$count++;
		}
		$all_test_list .= "<input type = 'hidden' name='all_cnt' value=".$cnt_for_up.">";
	}
	$data_object->closeDB();
}
//ѥץ
$department_object = new CCreateSelectFromMonoArr("department_id", $department_id, $DEPARTMENT_ARR);

$show_data = file_get_contents('../../templates/ad_test_reg/ins_ques.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM_REP:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEA_NAM_REP:', mb_convert_encoding($teacher_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEST_NAM_REP:', mb_convert_encoding($test_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':NOW_TEST_TBL:', mb_convert_encoding($now_test_list,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':ALL_TEST_TBL:', mb_convert_encoding($all_test_list,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEST_ID_REP:', $test_id, $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':PREV_REP:', mb_convert_encoding($prev_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':SEARCH_TXT_REP:', $search_txt, $show_data);
//$show_data = ereg_replace(':SEARCH_TXT_REP:', mb_convert_encoding($search_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':DEPT_SELECT_REP:', mb_convert_encoding($department_object->pull_down_txt,'UTF-8', 'EUC-JP'), $show_data);

echo $show_data;
?>
